#include <iostream>
#include <stdio.h>
using namespace std;

int main()
{
    int n,k1,k,i;
    int niz[10000];
    int nz[10000];
    scanf("%d%d",&n,&k);
    k1=k;
    for(int j=0;j<n;j++)
    {
        scanf("%d",&niz[j]);
    }
    for(int i=0;i<n;i++)
    {
        if(niz[i]>=niz[i+1] && k)
            {nz[i]=0; k--;}
        else nz[i]=1;
    }

    for(i=0;i<n;i++)
    {
        if(nz[i]) printf("%d ",niz[i]);
    }
    return 0;
}